Bug 2175759 - [abrt] gnome-shell: js::gc::Cell::storeBuffer(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: js::gc::Cell::storeBuffer(): gnome-shell killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gjs
Version: 38
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: GNOME SIG Unassigned
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d4d5d8431f64c8e5df68bf4b3fc...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-03-06 13:16 UTC by Kamil Páral
Modified: 2024-05-21 14:29 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-05-21 14:29:27 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: proc_pid_status (1.40 KB, text/plain)
2023-03-06 13:16 UTC, Kamil Páral
no flags Details
File: maps (3.98 KB, text/plain)
2023-03-06 13:16 UTC, Kamil Páral
no flags Details
File: limits (1.29 KB, text/plain)
2023-03-06 13:16 UTC, Kamil Páral
no flags Details
File: environ (2.04 KB, text/plain)
2023-03-06 13:16 UTC, Kamil Páral
no flags Details
File: open_fds (11.88 KB, text/plain)
2023-03-06 13:16 UTC, Kamil Páral
no flags Details
File: mountinfo (3.88 KB, text/plain)
2023-03-06 13:16 UTC, Kamil Páral
no flags Details
File: os_info (756 bytes, text/plain)
2023-03-06 13:16 UTC, Kamil Páral
no flags Details
File: cpuinfo (2.77 KB, text/plain)
2023-03-06 13:16 UTC, Kamil Páral
no flags Details
File: core_backtrace (105.94 KB, text/plain)
2023-03-06 13:16 UTC, Kamil Páral
no flags Details
File: exploitable (81 bytes, text/plain)
2023-03-06 13:17 UTC, Kamil Páral
no flags Details
File: dso_list (198 bytes, text/plain)
2023-03-06 13:17 UTC, Kamil Páral
no flags Details
File: var_log_messages (1.22 KB, text/plain)
2023-03-06 13:17 UTC, Kamil Páral
no flags Details
File: backtrace (51.76 KB, text/plain)
2023-03-06 13:17 UTC, Kamil Páral
no flags Details
File: backtrace (151.48 KB, text/plain)
2023-03-14 13:13 UTC, Vladimir Benes
no flags Details
File: backtrace (54.85 KB, text/plain)
2023-03-22 13:31 UTC, Kamil Páral
no flags Details
File: backtrace (150.27 KB, text/plain)
2023-03-27 21:25 UTC, rogerio.s.machado
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME gjs issues 472 0 None closed gnome-shell crashes on exit in js::gc::Cell::storeBuffer 2023-04-24 06:12:30 UTC
GNOME Gitlab GNOME gnome-shell issues 6530 0 None opened gnome-shell: js::gc::Cell::storeBuffer(): gnome-shell killed by SIGSEGV 2023-03-22 13:37:29 UTC

Description Kamil Páral 2023-03-06 13:16:40 UTC
Description of problem:
This seems to happen during user switching [1], but I'm not quite sure when exactly. But I do get crash reports on my next user login, and there are multiple crashes present. However, I didn't see any negative effect of this, just the crash report.

[1] https://fedoraproject.org/wiki/QA:Testcase_desktop_user_switching

Version-Release number of selected component:
gnome-shell-44~beta-2.fc38

Additional info:
reporter:       libreport-2.17.8
type:           CCpp
reason:         gnome-shell killed by SIGSEGV
journald_cursor: s=f14ac85b1ea64de087f79c5fe57e0ea5;i=11e456;b=e47cd77d619d4efbad547129c7282b81;m=28e6422c;t=5f63ae6e57d96;x=24808710e95e2b09
executable:     /usr/bin/gnome-shell
cmdline:        /usr/bin/gnome-shell
cgroup:         0::/user.slice/user-1000.slice/user/session.slice/org.gnome.Shell
rootdir:        /
uid:            1000
kernel:         6.2.2-300.fc38.x86_64
package:        gnome-shell-44~beta-2.fc38
runlevel:       N 5
backtrace_rating: 4
crash_function: js::gc::Cell::storeBuffer

Truncated backtrace:
Thread no. 0 (13 frames)
 #0 js::gc::Cell::storeBuffer at /usr/src/debug/mozjs102-102.8.0-1.fc38.x86_64/gc/Cell.h:357
 #1 js::gc::PostWriteBarrierImpl<JSObject> at /usr/src/debug/mozjs102-102.8.0-1.fc38.x86_64/gc/StoreBuffer.h:646
 #2 js::gc::PostWriteBarrier<js::SavedFrame> at /usr/src/debug/mozjs102-102.8.0-1.fc38.x86_64/gc/StoreBuffer.h:658
 #3 js::InternalBarrierMethods<js::SavedFrame*, void>::postBarrier at /usr/src/debug/mozjs102-102.8.0-1.fc38.x86_64/gc/Barrier.h:350
 #5 js::BarrierMethods<JSObject*, void>::postWriteBarrier at /usr/include/mozjs-102/js/RootingAPI.h:795
 #6 JS::Heap<JSObject*>::postWriteBarrier at /usr/include/mozjs-102/js/RootingAPI.h:376
 #7 JS::Heap<JSObject*>::~Heap at /usr/include/mozjs-102/js/RootingAPI.h:338
 #8 mozilla::detail::VectorImpl<JS::Heap<JSObject*>, 0ul, js::SystemAllocPolicy, false>::destroy at /usr/include/mozjs-102/mozilla/Vector.h:65
 #9 mozilla::Vector<JS::Heap<JSObject*>, 0ul, js::SystemAllocPolicy>::~Vector at /usr/include/mozjs-102/mozilla/Vector.h:901
 #10 JS::GCVector<JS::Heap<JSObject*>, 0ul, js::SystemAllocPolicy>::~GCVector at /usr/include/mozjs-102/js/GCVector.h:43
 #11 GjsContextPrivate::~GjsContextPrivate at ../gjs/context.cpp:487
 #12 gjs_context_finalize at ../gjs/context.cpp:500
 #14 _shell_global_destroy_gjs_context at ../src/shell-global.c:738

Comment 1 Kamil Páral 2023-03-06 13:16:44 UTC
Created attachment 1948335 [details]
File: proc_pid_status

Comment 2 Kamil Páral 2023-03-06 13:16:45 UTC
Created attachment 1948336 [details]
File: maps

Comment 3 Kamil Páral 2023-03-06 13:16:47 UTC
Created attachment 1948337 [details]
File: limits

Comment 4 Kamil Páral 2023-03-06 13:16:49 UTC
Created attachment 1948338 [details]
File: environ

Comment 5 Kamil Páral 2023-03-06 13:16:51 UTC
Created attachment 1948339 [details]
File: open_fds

Comment 6 Kamil Páral 2023-03-06 13:16:53 UTC
Created attachment 1948340 [details]
File: mountinfo

Comment 7 Kamil Páral 2023-03-06 13:16:55 UTC
Created attachment 1948341 [details]
File: os_info

Comment 8 Kamil Páral 2023-03-06 13:16:57 UTC
Created attachment 1948342 [details]
File: cpuinfo

Comment 9 Kamil Páral 2023-03-06 13:16:59 UTC
Created attachment 1948343 [details]
File: core_backtrace

Comment 10 Kamil Páral 2023-03-06 13:17:01 UTC
Created attachment 1948344 [details]
File: exploitable

Comment 11 Kamil Páral 2023-03-06 13:17:02 UTC
Created attachment 1948345 [details]
File: dso_list

Comment 12 Kamil Páral 2023-03-06 13:17:04 UTC
Created attachment 1948346 [details]
File: var_log_messages

Comment 13 Kamil Páral 2023-03-06 13:17:06 UTC
Created attachment 1948347 [details]
File: backtrace

Comment 14 Vladimir Benes 2023-03-14 13:13:26 UTC
reloggin


reporter:       libreport-2.17.8
type:           CCpp
reason:         gnome-shell killed by SIGSEGV
journald_cursor: s=13f16def098948d8b9bd1e957507912f;i=19ef0e;b=644716e6455440c7984221d8c1a01300;m=14404d5dce;t=5f6dbf2e5bae6;x=a2dcc95bc3d5cb12
executable:     /usr/bin/gnome-shell
cmdline:        /usr/bin/gnome-shell
cgroup:         0::/user.slice/user-1000.slice/user/session.slice/org.gnome.Shell
rootdir:        /
uid:            1000
kernel:         6.2.5-300.fc38.x86_64
package:        gnome-shell-44~rc-1.fc38
runlevel:       N 5
backtrace_rating: 4
crash_function: js::gc::Cell::storeBuffer
comment:        reloggin

Comment 15 Vladimir Benes 2023-03-14 13:13:28 UTC
Created attachment 1950612 [details]
File: backtrace

Comment 16 Kamil Páral 2023-03-22 13:31:31 UTC
I logged out. After next login, the crash was there.


reporter:       libreport-2.17.8
type:           CCpp
reason:         gnome-shell killed by SIGSEGV
journald_cursor: s=f14ac85b1ea64de087f79c5fe57e0ea5;i=20e220;b=5c083c075d034c0a8a6f312331f58140;m=1f4f6a04d;t=5f77d1d51f69c;x=89fd27c6cf1827c2
executable:     /usr/bin/gnome-shell
cmdline:        /usr/bin/gnome-shell
cgroup:         0::/user.slice/user-1000.slice/user/session.slice/org.gnome.Shell
rootdir:        /
uid:            1000
kernel:         6.2.7-300.fc38.x86_64
package:        gnome-shell-44~rc-2.fc38
runlevel:       N 5
backtrace_rating: 4
crash_function: js::gc::Cell::storeBuffer
comment:        I logged out. After next login, the crash was there.

Comment 17 Kamil Páral 2023-03-22 13:31:33 UTC
Created attachment 1952775 [details]
File: backtrace

Comment 18 rogerio.s.machado 2023-03-27 21:25:35 UTC
on start session and set monitors 


reporter:       libreport-2.17.8
type:           CCpp
reason:         gnome-shell killed by SIGSEGV
journald_cursor: s=606b0b394b4a48b39e9d4ad62bd37f01;i=1508dd;b=fce9e0c81baf450f876e92e4a06d6fb1;m=950627445;t=5f7e8595b538f;x=d61e54532aeb66cc
executable:     /usr/bin/gnome-shell
cmdline:        /usr/bin/gnome-shell
cgroup:         0::/user.slice/user-1000.slice/user/session.slice/org.gnome.Shell
rootdir:        /
uid:            1000
kernel:         6.2.6-300.fc38.x86_64
package:        gnome-shell-44~rc-1.fc38
runlevel:       N 5
backtrace_rating: 4
crash_function: js::gc::Cell::storeBuffer
comment:        on start session and set monitors

Comment 19 rogerio.s.machado 2023-03-27 21:25:37 UTC
Created attachment 1954028 [details]
File: backtrace

Comment 20 Aiham Alkaseer 2023-04-19 14:42:21 UTC
First wake up after Fedora 37 -> 38 update.


reporter:       libreport-2.17.9
type:           CCpp
reason:         gnome-shell killed by SIGSEGV
journald_cursor: s=fb229d6898d04b7085ab2dac0dd8e4e8;i=1d877;b=64e06eedba0d44059147896973df6c78;m=31180d94;t=5f9b14646fc9f;x=7c98ec3ac77dcc58
executable:     /usr/bin/gnome-shell
cmdline:        /usr/bin/gnome-shell
cgroup:         0::/user.slice/user-1000.slice/user/session.slice/org.gnome.Shell
rootdir:        /
uid:            1000
kernel:         6.2.11-300.fc38.x86_64
package:        gnome-shell-44.0-4.fc38
runlevel:       N 5
backtrace_rating: 4
crash_function: js::gc::Cell::storeBuffer
comment:        First wake up after Fedora 37 -> 38 update.

Comment 21 bediamrit105 2023-04-20 15:08:00 UTC
logged out, logged back in


reporter:       libreport-2.17.9
type:           CCpp
reason:         gnome-shell killed by SIGSEGV
journald_cursor: s=e6d72a92b13c40d7a06b6dde31ccf2e0;i=e80f6;b=f3b0275ee9134b5fa851c46e136fed76;m=44c2775;t=5f9c5e1742002;x=23850da3adbcf0b4
executable:     /usr/bin/gnome-shell
cmdline:        /usr/bin/gnome-shell
rootdir:        /
uid:            1000
kernel:         6.2.11-300.fc38.x86_64
package:        gnome-shell-44.0-4.fc38
runlevel:       N 5
dso_list:       /usr/bin/gnome-shell gnome-shell-44.0-4.fc38.x86_64 (Fedora Project) 1681835747
backtrace_rating: 4
crash_function: js::gc::Cell::storeBuffer
comment:        logged out, logged back in

Comment 22 Ellis Eclipse 2023-04-21 02:38:28 UTC
I opened my computer, and lo and behold...


reporter:       libreport-2.17.9
type:           CCpp
reason:         gnome-shell killed by SIGSEGV
journald_cursor: s=ca99d194b38841949c02756ab9945ab8;i=e092;b=02fba006000c4cae9b5c12e51c7700cf;m=458258ea;t=5f9cf2f25b8e4;x=bd88fc2621f6e40f
executable:     /usr/bin/gnome-shell
cmdline:        /usr/bin/gnome-shell
cgroup:         0::/user.slice/user-1000.slice/user/session.slice/org.gnome.Shell
rootdir:        /
uid:            1000
kernel:         6.2.11-300.fc38.x86_64
package:        gnome-shell-44.0-4.fc38
runlevel:       N 5
backtrace_rating: 4
crash_function: js::gc::Cell::storeBuffer
comment:        I opened my computer, and lo and behold...

Comment 23 David Schulz 2023-04-22 03:13:50 UTC
Restart after Fedora38 upgrade process.


reporter:       libreport-2.17.9
type:           CCpp
reason:         gnome-shell killed by SIGSEGV
journald_cursor: s=48494ce3d31d44b6bf62d07f4e449f62;i=1423d;b=be2da266a31c463fbc93932abd856f95;m=44db4cc;t=5f9e404d4e539;x=b0edb8d74707a3d2
executable:     /usr/bin/gnome-shell
cmdline:        /usr/bin/gnome-shell
cgroup:         0::/user.slice/user-1000.slice/user/session.slice/org.gnome.Shell
rootdir:        /
uid:            1000
kernel:         6.2.11-300.fc38.x86_64
package:        gnome-shell-44.0-4.fc38
runlevel:       N 5
backtrace_rating: 4
crash_function: js::gc::Cell::storeBuffer
comment:        Restart after Fedora38 upgrade process.

Comment 24 Ziaus Samad 2023-04-22 06:14:10 UTC
I upgraded from version 37 to 38. After reboot this problem occured.


reporter:       libreport-2.17.9
type:           CCpp
reason:         gnome-shell killed by SIGSEGV
journald_cursor: s=031346981ba64905bd45a2e05af7e101;i=58313;b=d4613060896a493f81f803bafc64e7c8;m=9b6bdbe;t=5f9e60016180c;x=f50d37feb188e997
executable:     /usr/bin/gnome-shell
cmdline:        /usr/bin/gnome-shell
cgroup:         0::/user.slice/user-1000.slice/user/session.slice/org.gnome.Shell
rootdir:        /
uid:            1000
kernel:         6.2.11-300.fc38.x86_64
package:        gnome-shell-44.0-4.fc38
runlevel:       N 5
backtrace_rating: 4
crash_function: js::gc::Cell::storeBuffer
comment:        I upgraded from version 37 to 38. After reboot this problem occured.

Comment 25 Brage 2023-04-23 20:51:08 UTC
Restart of Machine from Gnome GUI


reporter:       libreport-2.17.9
type:           CCpp
reason:         gnome-shell killed by SIGSEGV
journald_cursor: s=7408fec33697489ba0d84b047d4af05f;i=3151d;b=add65378fdf048e7a75d3b5b1d08bfc7;m=3cfd4af25;t=5fa06da3c3b33;x=3098f70e215cd70
executable:     /usr/bin/gnome-shell
cmdline:        /usr/bin/gnome-shell
rootdir:        /
uid:            1000
kernel:         6.2.11-300.fc38.x86_64
package:        gnome-shell-44.0-4.fc38
runlevel:       N 5
dso_list:       /usr/bin/gnome-shell gnome-shell-44.0-4.fc38.x86_64 (Fedora Project) 1681681130
backtrace_rating: 4
crash_function: js::gc::Cell::storeBuffer
comment:        Restart of Machine from Gnome GUI

Comment 26 s.zipproth 2023-04-25 13:45:46 UTC
- fresh install of Fedora 38
- installed nvidia driver, using https://developer.download.nvidia.com/compute/cuda/repos
- boot freezed --> sudo dnf update in terminal
- reboot
- log in with Xorg
- nvidia driver is working
- in gnome-settings changed screen resolution
- in gnome-settings, tried to move second monitor --> settings froze
- log out
- log in
- this crash happened


reporter:       libreport-2.17.9
type:           CCpp
reason:         gnome-shell killed by SIGSEGV
journald_cursor: s=b1c507deab5245e694f5bcf013b6d752;i=62a0;b=4525b6c15717411db0465790bd47a01e;m=607ab38;t=5fa2924fa641b;x=624ea128c0fc9d2c
executable:     /usr/bin/gnome-shell
cmdline:        /usr/bin/gnome-shell
cgroup:         0::/user.slice/user-1000.slice/user/session.slice/org.gnome.Shell
rootdir:        /
uid:            1000
kernel:         6.2.12-300.fc38.x86_64
package:        gnome-shell-44.0-4.fc38
runlevel:       N 5
backtrace_rating: 4
crash_function: js::gc::Cell::storeBuffer

Comment 27 Jan Vlug 2023-04-27 08:27:45 UTC
Maybe related to the upgrade to Fedora 38 that I did.
I got a window telling me that one extension would be updated after logout and login.
I did logout and login, and saw this crash. 


reporter:       libreport-2.17.9
kernel:         6.2.11-300.fc38.x86_64
package:        gnome-shell-44.0-4.fc38
cmdline:        /usr/bin/gnome-shell
executable:     /usr/bin/gnome-shell
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
journald_cursor: s=3e01e40533094178ad95519257415cd5;i=2e86a5;b=5d6a3193fc2c40feb64080d5adc72500;m=222530a2;t=5f9b493334540;x=9c98679fa61d4429
type:           CCpp
backtrace_rating: 4
crash_function: js::gc::Cell::storeBuffer
uid:            1000
runlevel:       N 5

Comment 28 David Schulz 2023-04-27 12:19:54 UTC
Restart after upgrade to Fedora 38


reporter:       libreport-2.17.9
type:           CCpp
reason:         gnome-shell killed by SIGSEGV
journald_cursor: s=d7f31cb1547e44e8b091c3c57a872a2a;i=60740;b=4fec613f346945ffb8122c6c60e1fd6b;m=c9a4d4d;t=5fa50451972e4;x=94f7ecbb8ad4eb8
executable:     /usr/bin/gnome-shell
cmdline:        /usr/bin/gnome-shell
cgroup:         0::/user.slice/user-1000.slice/user/session.slice/org.gnome.Shell
rootdir:        /
uid:            1000
kernel:         6.2.12-300.fc38.x86_64
package:        gnome-shell-44.0-4.fc38
runlevel:       N 5
backtrace_rating: 4
crash_function: js::gc::Cell::storeBuffer
comment:        Restart after upgrade to Fedora 38

Comment 29 1maltsev.as 2023-05-08 15:17:42 UTC
logging out caused an error


reporter:       libreport-2.17.9
type:           CCpp
reason:         gnome-shell killed by SIGSEGV
journald_cursor: s=b8c9d4af869f42468da687529c055171;i=429c0;b=983fc356a2e24985aee6bf14ec7906d2;m=c6c4e912;t=5fb301c306b0f;x=415b36c8b17d3714
executable:     /usr/bin/gnome-shell
cmdline:        /usr/bin/gnome-shell
cgroup:         0::/user.slice/user-1000.slice/user/session.slice/org.gnome.Shell
rootdir:        /
uid:            1000
kernel:         6.2.14-300.fc38.x86_64
package:        gnome-shell-44.1-1.fc38
runlevel:       N 5
backtrace_rating: 4
crash_function: js::gc::Cell::storeBuffer
comment:        logging out caused an error

Comment 30 Rune Schjellerup Philosof 2023-05-11 13:43:29 UTC
The error reporting tool just popped up when I logged in after a reboot


reporter:       libreport-2.17.9
type:           CCpp
reason:         gnome-shell killed by SIGSEGV
journald_cursor: s=eac29e0543034ba3a5ea36306d6c7aea;i=60761;b=e40b78c57a97436095f31cb1c1c82a08;m=1c6ff1be9;t=5fb68cda60f54;x=f608bb73725020d1
executable:     /usr/bin/gnome-shell
cmdline:        /usr/bin/gnome-shell
cgroup:         0::/user.slice/user-1000.slice/user/session.slice/org.gnome.Shell
rootdir:        /
uid:            1000
kernel:         6.2.14-300.fc38.x86_64
package:        gnome-shell-44.1-1.fc38
runlevel:       N 5
backtrace_rating: 4
crash_function: js::gc::Cell::storeBuffer
comment:        The error reporting tool just popped up when I logged in after a reboot

Comment 31 Ryan Quinn 2023-05-11 19:56:18 UTC
I restarted gdm via systemctl. It's not a real problem, and I caused the crash. 

"systemctl restart gdm"


reporter:       libreport-2.17.9
type:           CCpp
reason:         gnome-shell killed by SIGSEGV
journald_cursor: s=7adb63c64b9f4fc1b18df0b021978237;i=dfa4d;b=56f0dc72f00f4b3bae0228160e6849da;m=bf775a6;t=5fb70259a8fe3;x=c34c4e9bbfbc82fe
executable:     /usr/bin/gnome-shell
cmdline:        /usr/bin/gnome-shell
cgroup:         0::/user.slice/user-1515200001.slice/user/session.slice/org.gnome.Shell
rootdir:        /
uid:            1515200001
kernel:         6.2.14-300.fc38.x86_64
package:        gnome-shell-44.1-1.fc38
runlevel:       N 5
backtrace_rating: 4
crash_function: js::gc::Cell::storeBuffer

Comment 32 iolo 2023-05-12 15:33:21 UTC
I logged out of my Gnome Xorg session so that I could log in to a Wayland session instead. As soon as I logged in to the Wayland session, the ABRT notification came up.


reporter:       libreport-2.17.9
type:           CCpp
reason:         gnome-shell killed by SIGSEGV
journald_cursor: s=64cc1f348614468991970700e39db90e;i=acfe29;b=6e4d9fad036c4aec9789724fda9eeba2;m=1c12adb8;t=5fb808ddb116f;x=45384f308addea90
executable:     /usr/bin/gnome-shell
cmdline:        /usr/bin/gnome-shell
cgroup:         0::/user.slice/user-1000.slice/user/session.slice/org.gnome.Shell
rootdir:        /
uid:            1000
kernel:         6.2.14-300.fc38.x86_64
package:        gnome-shell-44.1-1.fc38
runlevel:       N 5
backtrace_rating: 4
crash_function: js::gc::Cell::storeBuffer
comment:        I logged out of my Gnome Xorg session so that I could log in to a Wayland session instead. As soon as I logged in to the Wayland session, the ABRT notification came up.

Comment 33 Mateusz Kaźmierczak 2023-05-23 17:27:12 UTC
I updated the extensions using gnome-extensions-app. To do that, I logged out and the crash happened after logging in.


reporter:       libreport-2.17.10
type:           CCpp
reason:         gnome-shell killed by SIGSEGV
journald_cursor: s=a598689ac7cb48e393ee9f11ca7a190c;i=271d8;b=936080603fa04767a4cd6c934f1339a7;m=3498e87;t=5fc5f3e6ad812;x=5741ddf43fc1f5a5
executable:     /usr/bin/gnome-shell
cmdline:        /usr/bin/gnome-shell
cgroup:         0::/user.slice/user-1000.slice/user/session.slice/org.gnome.Shell
rootdir:        /
uid:            1000
kernel:         6.2.15-300.fc38.x86_64
package:        gnome-shell-44.1-1.fc38
runlevel:       N 5
backtrace_rating: 4
crash_function: js::gc::Cell::storeBuffer
comment:        I updated the extensions using gnome-extensions-app. To do that, I logged out and the crash happened after logging in.

Comment 34 Mike Frazier 2023-06-03 12:49:33 UTC
This occured as Gnome was loading. I had just logged in.


reporter:       libreport-2.17.10
type:           CCpp
reason:         gnome-shell killed by SIGSEGV
journald_cursor: s=0d7442e4200a42798121f2900c1a5d03;i=4d0fb;b=7ea01e30202c44db9352669f287c5c17;m=7c544259;t=5fd390540a8c4;x=270d010cc10ce722
executable:     /usr/bin/gnome-shell
cmdline:        /usr/bin/gnome-shell
cgroup:         0::/user.slice/user-1000.slice/user/session.slice/org.gnome.Shell
rootdir:        /
uid:            1000
kernel:         6.3.4-201.fc38.x86_64
package:        gnome-shell-44.1-1.fc38
runlevel:       N 5
backtrace_rating: 4
crash_function: js::gc::Cell::storeBuffer
comment:        This occured as Gnome was loading. I had just logged in.

Comment 35 smartshader 2023-06-03 16:45:16 UTC
Installed dropbox gnome-shell-extension-appindicator gnome-extensions-app

logged out and logged back in


reporter:       libreport-2.17.10
type:           CCpp
reason:         gnome-shell killed by SIGSEGV
journald_cursor: s=f21f67883353489fa00b888eb7446b25;i=19b79;b=987ea7838d7047d2b2bcf69155530661;m=81aace1;t=5fd3c4f3e8a33;x=7d927d75bdb82d08
executable:     /usr/bin/gnome-shell
cmdline:        /usr/bin/gnome-shell
cgroup:         0::/user.slice/user-1000.slice/user/session.slice/org.gnome.Shell
rootdir:        /
uid:            1000
kernel:         6.2.15-300.fc38.x86_64
package:        gnome-shell-44.1-1.fc38
runlevel:       N 5
dso_list:       /usr/bin/gnome-shell gnome-shell-44.1-1.fc38.x86_64 (Fedora Project) 1685240575
backtrace_rating: 4
crash_function: js::gc::Cell::storeBuffer

Comment 36 traamcazs 2023-06-04 15:54:54 UTC
I tried to turn on bluetooth, but it didn't do anything


reporter:       libreport-2.17.10
journald_cursor: s=eb4ee6eaf82e4bd8a57903a146566867;i=194e30;b=e90438cac4a8480e96e00e8e36972a5d;m=dca045f;t=5fd4fa8a3a705;x=279000036e75c6d5
type:           CCpp
kernel:         6.3.4-201.fc38.x86_64
package:        gnome-shell-44.1-1.fc38
crash_function: js::gc::Cell::storeBuffer
uid:            1000
rootdir:        /
reason:         gnome-shell killed by SIGSEGV
cgroup:         0::/user.slice/user-1000.slice/user/session.slice/org.gnome.Shell
comment:        I tried to turn on bluetooth, but it didn't do anything
runlevel:       N 5
executable:     /usr/bin/gnome-shell
backtrace_rating: 4
dso_list:       /usr/bin/gnome-shell gnome-shell-44.1-1.fc38.x86_64 (Fedora Project) 1682856934
cmdline:        /usr/bin/gnome-shell

Comment 37 joe 2023-06-05 21:48:58 UTC
Normal operation. Idle.


reporter:       libreport-2.17.9
type:           CCpp
reason:         gnome-shell killed by SIGSEGV
journald_cursor: s=1226f15932124b7093a008afa547114c;i=13ac;b=af99904d886c45c0bac927f166c0fba3;m=3578d7f9;t=5fd3f1c47e327;x=9b4eb3ac8a3bd1d1
executable:     /usr/bin/gnome-shell
cmdline:        /usr/bin/gnome-shell
cgroup:         0::/user.slice/user-1000.slice/user/session.slice/org.gnome.Shell
rootdir:        /
uid:            1000
kernel:         6.2.9-300.fc38.x86_64
package:        gnome-shell-44.0-4.fc38
runlevel:       N 5
backtrace_rating: 4
crash_function: js::gc::Cell::storeBuffer
comment:        Normal operation. Idle.

Comment 38 officiall.xdragonyt 2023-06-10 12:21:32 UTC
i just updated my gnome extansion


reporter:       libreport-2.17.10
type:           CCpp
reason:         gnome-shell killed by SIGSEGV
journald_cursor: s=ef92f8855e2e40d1b8ffcf06bed20861;i=2a1a47;b=edbcdb84b50c43d291ebe1e005769e37;m=68a4777;t=5fdc57ce3750c;x=ef092359a7d0c989
executable:     /usr/bin/gnome-shell
cmdline:        /usr/bin/gnome-shell
cgroup:         0::/user.slice/user-1000.slice/user/session.slice/org.gnome.Shell
rootdir:        /
uid:            1000
kernel:         6.3.6-200.fc38.x86_64
package:        gnome-shell-44.1-1.fc38
runlevel:       N 5
backtrace_rating: 4
crash_function: js::gc::Cell::storeBuffer
comment:        i just updated my gnome extansion

Comment 39 klaussemmler 2023-06-11 08:09:15 UTC
The problem occured, when updating a gnome shell extension with the extension manager app (https://github.com/mjakeman/extension-manager).

This happened the following way:

1. I got a notification from the app extension manager that updates for my extensions are available.
2. I then opened the extension manager app.
3. I updated the extension TopHat (https://github.com/fflewddur/tophat) from version 10 to 11.
4. I logged out as was asked from me.
5. I logged back in with the same user account.
6. All extensions got disabled and the crash message popped up. Reenabling the extensions with the extension manager app worked fine though.

This all happened with Fedora 38 and Gnome Shell 44.2.


reporter:       libreport-2.17.10
type:           CCpp
reason:         gnome-shell killed by SIGSEGV
journald_cursor: s=66b287318461419ab900b1b89c3497ca;i=4c35b6;b=14d796a6816a4d0da2409ea44f7f29f3;m=3502cb1;t=5fdd5a490b7e3;x=3ebd8de496c08cb3
executable:     /usr/bin/gnome-shell
cmdline:        /usr/bin/gnome-shell
cgroup:         0::/user.slice/user-1000.slice/user/session.slice/org.gnome.Shell
rootdir:        /
uid:            1000
kernel:         6.3.6-200.fc38.x86_64
package:        gnome-shell-44.2-1.fc38
runlevel:       N 5
dso_list:       /usr/bin/gnome-shell gnome-shell-44.2-1.fc38.x86_64 (Fedora Project) 1686442587
backtrace_rating: 4
crash_function: js::gc::Cell::storeBuffer

Comment 40 dizzy 2023-06-13 18:27:43 UTC
logout and login after extension upgrade - in particular Dash to Dock has been upgraded to version 83


reporter:       libreport-2.17.10
type:           CCpp
reason:         gnome-shell killed by SIGSEGV
journald_cursor: s=5c133fa170814711ba9f0eedd9cdc815;i=b3666;b=6671665f62c548d8a025749f460e5f1b;m=3b31eb8;t=5fe06e651fdae;x=33b30c485c618bd2
executable:     /usr/bin/gnome-shell
cmdline:        /usr/bin/gnome-shell
cgroup:         0::/user.slice/user-1000.slice/user/session.slice/org.gnome.Shell
rootdir:        /
uid:            1000
kernel:         6.3.6-200.fc38.x86_64
package:        gnome-shell-44.2-1.fc38
runlevel:       N 5
backtrace_rating: 3
crash_function: js::gc::Cell::storeBuffer
comment:        logout and login after extension upgrade - in particular Dash to Dock has been upgraded to version 83

Comment 41 ochal 2023-06-24 13:18:55 UTC
Happened after trying to calibrate sceen colors, the wizard prompts to press "start" but there was no start button.


reporter:       libreport-2.17.10
type:           CCpp
reason:         gnome-shell killed by SIGSEGV
journald_cursor: s=9e53e87a497d4a59937900b9b1da8146;i=cf55d;b=5d3a1860dd854cedb32849481d2f01f8;m=3a1354a83;t=5fedfc94c8d69;x=b4a46506b60b0788
executable:     /usr/bin/gnome-shell
cmdline:        /usr/bin/gnome-shell
cgroup:         0::/user.slice/user-1001.slice/user/session.slice/org.gnome.Shell
rootdir:        /
uid:            1001
kernel:         6.3.7-200.fc38.x86_64
package:        gnome-shell-44.2-1.fc38
runlevel:       N 5
backtrace_rating: 4
crash_function: js::gc::Cell::storeBuffer
comment:        Happened after trying to calibrate sceen colors, the wizard prompts to press "start" but there was no start button.

Comment 42 ochal 2023-06-24 15:25:00 UTC
Another attempt to calibrate screen colors via Gnome-Settings, this time in X11


reporter:       libreport-2.17.10
type:           CCpp
reason:         gnome-shell killed by SIGSEGV
journald_cursor: s=9e53e87a497d4a59937900b9b1da8146;i=d0023;b=5d3a1860dd854cedb32849481d2f01f8;m=587efa66e;t=5fee1b006e954;x=5253185d88a9a4cc
executable:     /usr/bin/gnome-shell
cmdline:        /usr/bin/gnome-shell
cgroup:         0::/user.slice/user-1001.slice/user/session.slice/org.gnome.Shell
rootdir:        /
uid:            1001
kernel:         6.3.7-200.fc38.x86_64
package:        gnome-shell-44.2-1.fc38
runlevel:       N 5
backtrace_rating: 4
crash_function: js::gc::Cell::storeBuffer
comment:        Another attempt to calibrate screen colors via Gnome-Settings, this time in X11

Comment 43 Fedora Admin user for bugzilla script actions 2023-12-06 08:22:05 UTC
This component is maintained by the GNOME project. Issues with it should be reported directly to GNOME at https://gitlab.gnome.org/GNOME/.

This issue should only be kept open if it:

1. Relates to Fedora packaging or integration with other Fedora components
2. Is required for Fedora release processes, such as blocker bugs and freeze exceptions

If this issue isn't needed for either of these two reasons, please:

 * create an issue with GNOME
 * add a link to the GNOME issue here
 * close this issue as CLOSED/UPSTREAM

Thank you!

Comment 44 Kamil Páral 2023-12-06 12:53:15 UTC
Fixed in gjs 5 months ago:
https://gitlab.gnome.org/GNOME/gjs/-/issues/472

Perhaps we need to backport the fix to F38?

Comment 45 Aoife Moloney 2024-05-07 15:58:33 UTC
This message is a reminder that Fedora Linux 38 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 38 on 2024-05-21.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '38'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version. Note that the version field may be hidden.
Click the "Show advanced fields" button if you do not see it.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 38 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 46 Aoife Moloney 2024-05-21 14:29:27 UTC
Fedora Linux 38 entered end-of-life (EOL) status on 2024-05-21.

Fedora Linux 38 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora Linux
please feel free to reopen this bug against that version. Note that the version
field may be hidden. Click the "Show advanced fields" button if you do not see
the version field.

If you are unable to reopen this bug, please file a new report against an
active release.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.